with ada.text_io;
with ada.io_exceptions;
procedure test_numeric_exception is
begin
   begin
      null;
      raise Constraint_Error;
   exception
      when Numeric_Error => null;
   end;
   begin
      raise ada.text_io.data_error;
   exception when ada.io_exceptions.data_error =>
      null;
   end;
end;